from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFormField(XInterface, Protocol):
    def getFieldType(self) -> str: ...
    def setFieldType(self, fieldType: str) -> None: ...
    def getParameters(self) -> XNameContainer: ...
